exports.getCurrentMenu = function(_callback) {
	var dailyMenuClient = Titanium.Network.createHTTPClient();

	dailyMenuClient.onerror = function(e) {
		_callback(null);
	}

	dailyMenuClient.onreadystatechange = function() {
		if (dailyMenuClient.readyState == 4 && dailyMenuClient.status == 200) {
			var dailyMenuText = dailyMenuClient.responseText.replace(/\s+/g, ' ');
			
			dailyMenuText = dailyMenuText.match("<div id=\"menuItems\">([^]*?)</div>");
			dailyMenuText = dailyMenuText[1].match("<td[^]*?>([^]*?)</td>[^]*?<td[^]*?>([^]*?)</td>[^]*?<td[^]*?>([^]*?)</td>");
		
			var breakfastMenu = dailyMenuText[1];
			var lunchMenu = dailyMenuText[2];
			var dinnerMenu = dailyMenuText[3];

			var time = (new Date()).getHours();
			if (time < 9) {
				breakfastMenu = breakfastMenu.replace(/&nbsp;/g, "").replace(/<.*?>/g, " ").split("  ");
				breakfastMenu.unshift("Breakfast");
				_callback(breakfastMenu);
			} else if (time < 14) {
				lunchMenu = lunchMenu.replace(/&nbsp;/g, "").replace(/<.*?>/g, " ").split("  ");
				lunchMenu.unshift("Lunch");
				_callback(lunchMenu);
			} else if (time < 19) {
				dinnerMenu = dinnerMenu.replace(/&nbsp;/g, "").replace(/<.*?>/g, " ").split("  ");
				dinnerMenu.unshift("Dinner");
				_callback(dinnerMenu);
			} else {
				_callback(["Not Serving"]);
			}
		}
	}

	dailyMenuClient.open("GET", "http://exeter.edu/student_life/14202_8006.aspx");
	dailyMenuClient.autoRedirect = true;
	dailyMenuClient.setTimeout(6000);
	dailyMenuClient.send();
}

